Skip to main content
GET
Get order documents

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique reference number for the order: either order.id (starts with "ord_") or order.externalId

Example:

"ord_1234567890"

Query Parameters

loadData
boolean
required

Whether to load the document data and return it as part of the response. Text documents such as ZPL are returned as text, all others such as PDF as base64.

Response

OK

createdAt
string<date-time>
required

The date and time when the document was created

Example:

"2023-08-29T19:17:46.264523"

id
string
required

The id of the document

Example:

"doc_1234567890"

type
enum<string>
required

The type of the document

Available options:
shipping_label,
pickup_label,
manifest,
packing_slip_label,
proof_of_delivery
Example:

"shipping_label"

contentType
string
required

The content type of the document

Example:

"application/pdf"

url
string | null

The URL of the document

Example:

"https://example.com/document.pdf"

data
string | null

The document content when load_data=true: text documents such as ZPL as plain text, all others such as PDF as base64

Example:

"SGVsbG8gd29ybG="